#### Linux From Scratch - Version 10.1-rc1

### Chapter 7. Entering Chroot and Building Additional Temporary Tools

- Prev

  Perl-5.32.1

- Next

  Texinfo-6.7

- Up
- Home

# 7.11. Python-3.9.1

The Python 3 package contains the Python development environment. It is useful for object-oriented programming, writing scripts, prototyping large programs, or developing entire applications.

Approximate build time: 1.2 SBU
Required disk space: 373 MB

## 7.11.1. Installation of Python

### Note

There are two package files whose name starts with “python”. The one to extract from is `Python-3.9.1.tar.xz` (notice the uppercase first letter).

Prepare Python for compilation:

    ./configure --prefix=/usr   \
                --enable-shared \
                --without-ensurepip

The meaning of the configure option:

`--enable-shared`

  This switch prevents installation of static libraries.

`--without-ensurepip`

  This switch disables the Python package installer, which is not needed at this stage.

Compile the package:

    make

Install the package:

    make install

Details on this package are located in Section 8.49.2, “Contents of Python 3.”

- Prev

  Perl-5.32.1

- Next

  Texinfo-6.7

- Up
- Home